Bug 113373 - too many arguments for format
too many arguments for format
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: autofs (Show other bugs)
1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeffrey Moyer
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-13 06:13 EST by d.binderman
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-18 11:44:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description d.binderman 2004-01-13 06:13:42 EST
Description of problem:

I just tried to compile package autofs-3.1.7-42, from Redhat
Fedora Core 1.

The compiler said

1.

mount_changer.c:128: warning: too many arguments for format

The source code is

        syslog(LOG_NOTICE, MODPREFIX, "Device %s is not an ATAPI
compliant CD changer.\n", device);

Suggest better code

        syslog(LOG_NOTICE, MODPREFIX "Device %s is not an ATAPI
compliant CD changer.\n", device);

Note the missing , after MODPREFIX.

2.

mount_changer.c:136: warning: too many arguments for format
mount_changer.c:144: warning: too many arguments for format

These seem to be duplicates.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jeffrey Moyer 2004-03-19 18:27:28 EST
FC2 test2 will contain autofs-4.1.1.  This issue does exist in our
rhel products, though.  I'll queue the fix there.

thanks.

jeff
Comment 2 John Flanagan 2004-08-18 11:44:13 EDT
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2004-287.html

Note You need to log in before you can comment on or make changes to this bug.